$LastChangedDate: 27-Juil-2011 $

# CL_kp_E2M

Eccentric anomaly to mean anomaly

## Calling Sequence

       M = CL_kp_E2M(ecc,E)

## Description

- Computes mean anomaly from eccentric anomaly and eccentricity for elliptical and hyperbolic orbits:

  - Elliptical orbits ( ecc < 1 ) : M = E - ecc * sin(E)

  - Hyperbolic orbits ( ecc > 1 ) : M = ecc * sinh(E) - E

## Parameters

E:

  Eccentric anomaly [rad] (PxN or Px1)

ecc:

  Eccentricity (PxN or Px1)

M:

  Mean anomaly [rad] (PxN)

## Authors

- CNES - DCT/SB

## Bibliography

- 1) Orbital Mechanics for Engineering Students, H D Curtis, Chapter 3, equation 3.11

- 2) Mecanique spatiale, CNES - Cepadues 1995, Tome I, section 4.6.6, page 181

## See also

- CL_kp_M2Ecir

- CL_kp_M2E

- CL_kp_E2v

- CL_kp_v2E

## Examples

    // Consistency test:
    E = [1.7281 5.7281];
    ecc = [0.37255 1.55];
    M = CL_kp_E2M(ecc,E);
    E2 = CL_kp_M2E(ecc,M)